Bug 470824 - GDM won't start a desktop session.
GDM won't start a desktop session.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 09:22 EST by Björn Persson
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:49:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Björn Persson 2008-11-10 09:22:13 EST
Description of problem:
All of a sudden I can no longer log in through GDM. Nothing happens after I type the password. A workaround is to log in in text mode and create the file /etc/sysconfig/desktop with the content "DISPLAYMANAGER=KDE".
I set the severity to high because to most people this problem would make the computer completely useless.

Version-Release number of selected component (if applicable):
gdm-2.20.5-3.fc8.x86_64

How reproducible:
Always, although I can't see why it'd start happening now.

Steps to Reproduce:
1. Boot into runlevel 5. The GDM login screen appears.
2. Type a username.
3. Type a password, right or wrong.
  
Actual results:
When I press Enter after typing the password, the password field is greyed out and then nothing more happens. GDM still responds to mouse clicks, so I can for example open and close the dialog box for choosing between desktop environments, but I can't find any way to proceed and actually start the desktop environment.

Expected results:
If the password is right, the login screen should disappear and a desktop session should start. If the password is wrong, I should get a chance to try again.

Additional info:
First I suspected the graphics driver, but when I uninstalled that and used a different driver the problem persisted. Then I thought my user settings might be messed up, so I created an entirely new user account, but I couldn't log in as that user either. I use KDE. The new account would presumably have gotten Gnome.

None of the packages that have been updated since the previous boot look like they should have any impact on the display manager. It's been over four months since the current version of GDM was installed, but it does seem like the bug is in GDM since switching to KDM worked around the problem.
Comment 1 Bug Zapper 2008-11-26 06:17:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:49:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.